Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.maildiver.com/v1/emails/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.maildiver.com/v1/emails/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.maildiver.com/v1/emails/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0195c9e3-5067-741d-be87-a4f75ef93372",
"type": "transactional",
"to": [
"recipient@company.com"
],
"subject": "Your Order Confirmation #12345",
"template_id": null,
"domain_id": "0195b357-d03d-754e-8ccd-8254807df021",
"html": "<!DOCTYPE html><html><body><h1>Order Confirmation</h1>...</body></html>",
"text": "Order Confirmation\\n\\nThank you for your order #12345...",
"from": "Support Team <support@company.com>",
"email_sent_timestamp": 1709225600000,
"last_event": {
"link": "https://company.com/order/12345",
"recipient": "recipient@company.com",
"user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)",
"status": "clicked",
"timestamp": 1709225720000,
"ip": "192.0.2.1"
},
"recipient_statuses": [
{
"recipient": "recipient@company.com",
"events": [
{
"status": "sent",
"timestamp": 1742139519852
},
{
"status": "delivered",
"timestamp": 1742139520744
},
{
"status": "opened",
"timestamp": 1742139523114,
"ip": "192.0.2.2",
"user_agent": "Amazon CloudFront"
},
{
"status": "clicked",
"timestamp": 1742139613070,
"ip": "192.0.2.1",
"user_agent": "Amazon CloudFront"
}
]
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Endpoint: v1/emails/{id}
Retrieve the status and details of a specific email
Was this page helpful?